%define dist junoscript-perl
Name: perl-junoscript
Version: 6.4I0
Release: alt1

Summary: Perl modules for manage JunOS routers fom Perl scripts
License: Juniper networks
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.gz

Source1: junoscript-perl.README.alt

BuildArch: noarch

# Automatically added by buildreq on Tue Jan 23 2007
BuildRequires: perl-devel perl-IO-Tty perl-XML-DOM perl-Net-SSLeay perl-Net-SSH-Perl

%description
Each Juniper Networks router running JUNOS Internet software release 4.3B2
or later supports the JUNOScript API. The JUNOScript API is an XML
application that Juniper Networks routers use to exchange information with
client applications. Telnet, SSH and SSL are supported.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%__cp %SOURCE1 $RPM_BUILD_DIR/%dist-%version/README.alt

%files
%dir	%perl_vendor_privlib/JUNOS
	%perl_vendor_privlib/JUNOS/*

%dir	%perl_vendor_privlib/JUNOS/Access
	%perl_vendor_privlib/JUNOS/Access/*

%dir	%perl_vendor_privlib/JUNOS/DOM
	%perl_vendor_privlib/JUNOS/DOM/*

%dir	%perl_vendor_privlib/JUNOS/%version
	%perl_vendor_privlib/JUNOS/%version/*

%_mandir/man?/*

%doc	README CHANGES README.alt

%changelog
* Sun Jan 21 2007 Sergey Y. Afonin <asy@altlinux.ru> 6.4I0-alt1
- initial revision
